#FUNCTION CREATED BY MR_MOOSE#

#OBJECTIVES#
scoreboard objectives add border dummy



#BORDER#
worldborder center 8 8
worldborder warning distance 0

#---FIRST PUZZLE---#
execute if entity @a[scores={border=1},tag=!onedone] run worldborder set 3 3
execute at @a[scores={border=1},tag=!onedone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=1},tag=!onedone] written_book
give @a[scores={border=1},tag=!onedone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" You can\'t get out of the hole yet, but look around for a clue.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" You\'re looking for something colorful.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Look straight above (to the north) you for the 2 wool blocks (light blue and purple) and push the buttons on the wall to cycle the colors. The block on the left should be light blue and on the right purple.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=1}] add onedone

#---BLOCK ONE---#
execute if entity @a[scores={border=2},tag=!twodone] run worldborder set 5 3
execute at @a[scores={border=2},tag=!twodone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=2},tag=!twodone] written_book
give @a[scores={border=2},tag=!twodone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" What block around here doesn\'t have grass on it?","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" Maybe the pressure plate is moving?","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Grab the ladders out of the chest (above you) and place them on the west wall. Get the grass seeds from chest above you and throw them on the coarse dirt. Levitate up the bamboo and step on the pressure plate then step on the other one behind the oak logs.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=2}] add twodone

#---PRESSURE PLATE/GRASS---#
execute if entity @a[scores={border=3},tag=!threedone] run worldborder set 7 3
execute at @a[scores={border=3},tag=!threedone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=3},tag=!threedone] written_book
give @a[scores={border=3},tag=!threedone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Look around for a button, and then a hole.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"#IRON = Number of Iron Ore","color":"blue"},{"text":"\\n","color":"reset"},{"text":"#GOLD = Number of Gold Ore\\n#LAPIS = Number of Lapis Lazuli Ore\\n\\n# = Number","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Press the oak button on the bottom oak log, then goo down the hole in the ground (5, 11, 10) and using the bottles/bucket, get 1 level of water in the cauldron. Go up and get the piece of paper dispensed","color":"blue"}]','["",{"text":"and rename it \'355\' (anvil is in the starting 3x3 area), and throw it in the hopper in the underground dirt section","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=3}] add threedone

#---CODE---#
execute if entity @a[scores={border=4},tag=!fourdone] run worldborder set 9 3
execute at @a[scores={border=4},tag=!fourdone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=4},tag=!fourdone] written_book
give @a[scores={border=4},tag=!fourdone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Look around for something that changed...","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"The 2 wool blocks from earlier changed.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Look at the two blocks where the wool was earlier, it changed color. Go back down to the hole and change the colors using the buttons. The left one should be blue and the right orange.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=4}] add fourdone

#---BLOCK TWO---#
execute if entity @a[scores={border=5},tag=!fivedone] run worldborder set 11 3
execute at @a[scores={border=5},tag=!fivedone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=5},tag=!fivedone] written_book
give @a[scores={border=5},tag=!fivedone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Did you find the axe? What can it break?","color":"blue"}]','["",{"text":"[Hint 2] ","bold":true,"color":"dark_blue"},{"text":"The color of the name of the chest is a hint as to the color of the block of where you need to place it.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Get the axe out of the chest in the underground area. Mine the 2 spruce using the axe and craft a chest using the planks. Put the chest on the lime concrete powder (2nd level) and put the lever in the chest on the mossy cobblestone (5, 12, 3).","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=5}] add fivedone

#---CHEST THRU BORDER---#
execute if entity @a[scores={border=6},tag=!sixdone] run worldborder set 13 3
execute at @a[scores={border=6},tag=!sixdone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=6},tag=!sixdone] written_book
give @a[scores={border=6},tag=!sixdone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Look for the smithing table and sign in the cliff wall on the second level of the hole you\'re in.","color":"blue"}]','["",{"text":"[Hint 2] ","bold":true,"color":"dark_blue"},{"text":"You need to place certain colors of glass on certain colors of terracotta.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Grab the glass blocks from the chest (3, 17, 14). Parkour your way up to the smithing table and combine the glass to form orange, purple, and green glass blocks (red+blue, blue+yellow, yellow+red).","color":"blue"}]','["",{"text":"Go place the stained glass on the respective terracotta by the water pool.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=6}] add sixdone

#---WATER BUTTON---#
execute if entity @a[scores={border=7},tag=!sevendone] run worldborder set 15 3
execute at @a[scores={border=7},tag=!sevendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=7},tag=!sevendone] written_book
give @a[scores={border=7},tag=!sevendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Use the three iron from below to craft an iron pickaxe.","color":"blue"}]','["",{"text":"[Hint 2] ","bold":true,"color":"dark_blue"},{"text":"Look in the water.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Get the stone pickaxe and sticks out of the chest on the second level. Mine the 3 iron in the walls of the first level, smelt it in the furnace with the coal from the water chest. Craft an iron pickaxe and go underground and mine the brown concrete powder.","color":"blue"}]'],title:Hints,author:Expand}
execute if entity @a[scores={border=7},tag=!sevendone] run clone 15 4 11 15 4 11 12 10 10 replace
tag @a[scores={border=7}] add sevendone

#---MINE IRON---#
execute if entity @a[scores={border=8},tag=!eightdone] run worldborder set 17 3
execute at @a[scores={border=8},tag=!eightdone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
execute if entity @a[scores={border=8},tag=!eightdone] run clone 15 4 10 15 4 10 12 10 10 replace
clear @a[scores={border=8},tag=!eightdone] written_book
give @a[scores={border=8},tag=!eightdone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Look around for some white particles. They are trying to point something out.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":"You need to craft a flint and steel.","color":"blue"}]','["",{"text":"[Hint 3] ","bold":true,"color":"dark_blue"},{"text":"Go to the dropper at 0, 20, 9 and get the shovel. Mine a gravel somewhere in the wall Then with your pickaxe mine the iron by the dropper that had the shovel, smelt it with the other coal from the chest in the water, craft flint and steel and light the magma on fire.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=8}] add eightdone

#---FIRE---#
execute if entity @a[scores={border=9},tag=!ninedone] run worldborder set 19 3
execute at @a[scores={border=9},tag=!ninedone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=9},tag=!ninedone] written_book
give @a[scores={border=9},tag=!ninedone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Have you found the green shulker box? The water in it is a 2 levels.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" The glass bottles you used earlier will be used again.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Get the bucket in the shulker box at 5, 17, 17. Fill it with water and fill the cauldron to 2 levels. Then go to the underground hole in the tall grass on the 2nd level and press the spruce button on the spruce wood on the ceiling.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=9},tag=!ninedone] add water2go
tag @a[scores={border=9}] add ninedone

#---CAULDRON/UNDERGROUND TWO---#
execute if entity @a[scores={border=10},tag=!tendone] run worldborder set 21 3
execute at @a[scores={border=10},tag=!tendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=10},tag=!tendone] written_book
give @a[scores={border=10},tag=!tendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" You are going to need to light yourself on fire.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" The parkour and fire are realated. Take advantage of the fire.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Light yourself on fire then go to the start of the parkour (6, 19, -2). Use the fire tick to jump on top of the slab on top of the wall. Complete the parkour and you should see a spruce button on a lime terracotta block slightly above you.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=10}] add tendone

#---PARKOUR---#
execute if entity @a[scores={border=11},tag=!elevendone] run worldborder set 23 3
execute at @a[scores={border=11},tag=!elevendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=11},tag=!elevendone] written_book
give @a[scores={border=11},tag=!elevendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Check the walls underground. Above ground look for a light gray shulker box.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" The levers have a specific order. If you can\'t guess it, look at the name of a chest for a hint as to where the order is.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Get the pickaxe out of the barrel in the underground wall, and the lever out of the chest on the 2nd level. Break the stone bricks (4, 11, 14) and shoot the button using the bow found in the dropper on level 1 (arrow is at 16, 23, 18).","color":"blue"}]','{"text":"Go underground (1st level) get the levers from the new chest. Go to the other underground section, place the levers and flip them: up, down, down.","color":"blue"}'],title:Hints,author:Expand}
tag @a[scores={border=11}] add elevendone

#---BOW---#
execute if entity @a[scores={border=12},tag=!twelvedone] run worldborder set 25 3
execute at @a[scores={border=12},tag=!twelvedone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=12},tag=!twelvedone] written_book
give @a[scores={border=12},tag=!twelvedone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" There is a flower somewhere underground...","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" You can place a wither rose on farmland.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Collect the wither rose that is in the flower pot in the 1st underground section. Place it on the farmland at 8, 17, 20.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=12}] add twelvedone

#---FLOWER---#
execute if entity @a[scores={border=13},tag=!thirteendone] run worldborder set 27 3
execute at @a[scores={border=13},tag=!thirteendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=13},tag=!thirteendone] written_book
give @a[scores={border=13},tag=!thirteendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" The mossy cobblestone slab is at 1, 19, -1. Once you\'ve found it look for a stone button while standing on it.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" You are trying to recreate the order of the tune played when you hit the stone button on your note blocks in the wall.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Press the button on the red glass to reset the combo, then press the buttons on your note blocks in this order: 2, 4, 1, 3, slowly. (Numbers going from right to left 1->4).","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=13}] add thirteendone

#---NOTEBLOCK---#
execute if entity @a[scores={border=14},tag=!fourteendone] run worldborder set 29 3
execute at @a[scores={border=14},tag=!fourteendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=14},tag=!fourteendone] written_book
give @a[scores={border=14},tag=!fourteendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" There is an entrance to a tunnel at 3, 20, -6.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" Go down into the underground section with the lamps. I wonder if those buttons do anything in the new cave? (There are two trapdoors in the cave one is obvious the other is not.)","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Go back down to the wool color cycle area. Set the first wool to yellow, and the second to lime.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=14},tag=!fourteendone] add trapdoor
tag @a[scores={border=14}] add fourteendone

#---TRAPDOORS IN CAVE---#
execute if entity @a[scores={border=15},tag=!fifteendone] run worldborder set 31 3
execute at @a[scores={border=15},tag=!fifteendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=15},tag=!fifteendone] written_book
tag @a[scores={border=15},tag=!fifteendone] remove trapdoor
give @a[scores={border=15},tag=!fifteendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" There are ores in the walls of the cliffs...","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" The diamond block corresponds to the number of diamond ore in the wall, so what does the emerald button correspond to?","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Press the red reset button. Then, press the diamond button 3 times and the emerald button 6 times.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=15}] add fifteendone

#---DIAMOND/EMERALD---#
execute if entity @a[scores={border=16},tag=!sixteendone] run worldborder set 33 3
execute at @a[scores={border=16},tag=!sixteendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=16},tag=!sixteendone] written_book
give @a[scores={border=16},tag=!sixteendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"},{"text":"\\n\\n","color":"reset"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" There are 3 gray concrete blocks. 1 behind the sign. One behind a stair in one of the walls, and one behind an iron ore in one of the walls.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" You need to \\"snake\\" the gray concrete blocks to the observer in a wall of one of the sides of the cliffs.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Get the pickaxe at -7, 22, 6 and break the gray concrete at -7, 21, 2, at -1, 24, 5, and at -1, 20, -4. Then go down to the first level, and snake the gray concrete by placing them on one another starting at the lime glazed terracotta and ending at the observer (14, 20, 21).","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=16}] add sixteendone

#---SNAKE BLOCK---#
execute if entity @a[scores={border=17},tag=!seventeendone] run worldborder set 35 3
execute at @a[scores={border=17},tag=!seventeendone] run playsound block.note_block.chime master @a ~ ~ ~ 10 0
clear @a[scores={border=17},tag=!seventeendone] written_book
give @a[scores={border=17},tag=!seventeendone] written_book{pages:['["",{"text":"Warning:","bold":true,"color":"dark_red"},{"text":" This book gives you hints on your current puzzle. Hint 3 will give you a walkthrough of the puzzle. Hints are not needed to solve puzzles.","color":"red"}]','["",{"text":"[Hint 1]","bold":true,"color":"dark_blue"},{"text":" Look underground for some explosive power.","color":"blue"}]','["",{"text":"[Hint 2]","bold":true,"color":"dark_blue"},{"text":" The buttons need to match the type of wood underneath it.","color":"blue"}]','["",{"text":"[Hint 3]","bold":true,"color":"dark_blue"},{"text":" Get TNT from the 1st underground section by going through the door. Place it on the red concrete (7, 20, 21) Press each of the 6 buttons until the button type matches the wood type underneath it. Get the pickaxe (it fell from the ceiling) and break the slab at 8, 10, 5.","color":"blue"}]'],title:Hints,author:Expand}
tag @a[scores={border=17}] add seventeendone